package com.ssj.service.kmt.correctsys.dto;

import com.ssj.service.conch.parents.v1.dto.CompositionCommentModuleDTO;
import com.ssj.service.kmt.dto.ExerciseQuestionAnswer4CorrectDTO;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class HomeworkPictureCheckDto implements Serializable {

    private static final long serialVersionUID = 1L;

    private String homeworkPictureId;

    private String path;

    /**
     * 默认0， 1通过2报错3登记4无需质检
     */
    private int type;

    /**
     * 二级类别，0默认，1模糊图片，2作业不全图片， 3非学科图片， 4其他老师的作业
     */
    private int secondType;

    /**
     * 报错原因
     */
    private String reason;
    /**
     * 质检人
     */
    private String checker;
    /**
     * 质检时间
     */
    private String checkTime;

    private List<ExerciseQuestionAnswer4CorrectDTO>  answers = new ArrayList<>();

    private HomeworkPictureCheckHowDetailDto howDetail = null;

    private List<CompositionCommentModuleDTO> compositionCommentModuleList = new ArrayList<>();

    public String getHomeworkPictureId() {
        return homeworkPictureId;
    }

    public void setHomeworkPictureId(String homeworkPictureId) {
        this.homeworkPictureId = homeworkPictureId;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public List<ExerciseQuestionAnswer4CorrectDTO> getAnswers() {
        return answers;
    }

    public void setAnswers(List<ExerciseQuestionAnswer4CorrectDTO> answers) {
        this.answers = answers;
    }

    public HomeworkPictureCheckHowDetailDto getHowDetail() {
        return howDetail;
    }

    public void setHowDetail(HomeworkPictureCheckHowDetailDto howDetail) {
        this.howDetail = howDetail;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getChecker() {
        return checker;
    }

    public void setChecker(String checker) {
        this.checker = checker;
    }

    public String getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(String checkTime) {
        this.checkTime = checkTime;
    }

    public int getSecondType() {
        return secondType;
    }

    public void setSecondType(int secondType) {
        this.secondType = secondType;
    }

    public List<CompositionCommentModuleDTO> getCompositionCommentModuleList() {
        return compositionCommentModuleList;
    }

    public void setCompositionCommentModuleList(List<CompositionCommentModuleDTO> compositionCommentModuleList) {
        this.compositionCommentModuleList = compositionCommentModuleList;
    }
}
